<?php
	/*
		boxes.php
		
		DIV-based box functions

		Copyright (C) 2000,2007 Jeff Teunissen <deek@quakeforge.net>

		This program is free software; you can redistribute it and/or
		modify it under the terms of the GNU General Public License
		as published by the Free Software Foundation; either version 2
		of the License, or (at your option) any later version.

		This program is distributed in the hope that it will be useful,
		but WITHOUT ANY WARRANTY; without even the implied warranty of
		MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  

		See the GNU General Public License for more details.

		You should have received a copy of the GNU General Public License
		along with this program; if not, write to:

		Free Software Foundation, Inc.
		59 Temple Place - Suite 330
		Boston, MA  02111-1307, USA.
	*/

	have ("boxes");

	function newsBoxTitle ($title, $url = NULL) {
		echo '<DIV class="newsTitle">';
		if ($url) {
			echo '<A href="' . $url . "\">$title</A>";
		} else {
			echo "<H2>$title</H2>";
		}
		echo "</DIV>\n";
	}

	function newsBoxOpen ($title = NULL) {
		echo "<DIV class=\"newsBox\">\n";

		if ($title)
			newsBoxTitle ($title);
	}

	function newsBoxClose () {
		echo '</DIV>';
	}
?>
